# DataStructures::OrderedList< key_type, data_type, default_comparison_function > Class Template Reference

`#include <DS_OrderedList.h>`

List of all members.

## Public Member Functions

bool | HasData (const key_type &key, int(*cf)(const key_type &, const data_type &)=default_comparison_function) const

## Detailed Description

### template<class key_type, class data_type, int(*)(const key_type &, const data_type &) default_comparison_function = defaultOrderedListComparison<key_type, data_type>>
class DataStructures::OrderedList< key_type, data_type, default_comparison_function >

Note:
  IMPORTANT! If you use defaultOrderedListComparison then call IMPLEMENT_DEFAULT_COMPARISON or you will get an unresolved external linker error.

## Member Function Documentation

template<class key_type , class data_type , int(*)(const key_type &, const data_type &) default_comparison_function>

bool DataStructures::OrderedList< key_type, data_type, default_comparison_function >::HasData | ( | const key_type & | key,
|  | int(*)(const key_type &, const data_type &) | cf = `default_comparison_function` |
| ) |  |  | const`[inline]`

comparisonFunction must take a key_type and a data_type and return <0, ==0, or >0 If the data type has comparison operators already defined then you can just use defaultComparison

The documentation for this class was generated from the following file:

- C:/RakNet/Source/DS_OrderedList.h